WHEREIS(1)

NOM
whereis - Rechercher les fichiers exécutables, les sources et les pages de manuel d'une commande

SYNOPSIS
whereis [-bmsu] [-BMS répertoire ... -f] nom ...

DESCRIPTION
whereis recherche les fichiers exécutables, les sources et les pages de manuel des fichiers spécifiés. Les noms des fichiers sont obtenus en supprimant le chemin d'accès et les extensions éventuelles de la forme .ext, par exemple .c. Les préfixes de la forme s. utilisés pour la gestion du code source sont également pris en charge. whereis recherche alors le programme demandé dans une liste de répertoires standards sous Linux.

OPTIONS

-b  Recherche seulement les exécutables.

-m  Recherche seulement les pages de manuel.

-s  Recherche seulement les fichiers source.

-u  Recherche les fichiers anormaux. Un fichier est anormal s'il manque l'exécutable ou le fichier source ou la page de manuel. Par exemple, « whereis -m -u * » recherche les fichiers du répertoire courant qui n'ont pas de page de manuel.

-B  Modifie ou limite les répertoires où whereis cherche les exécutables.

-M  Modifie ou limite les répertoires où whereis cherche les page de manuel.

-S  Modifie ou limite les répertoires où whereis cherche les fichiers source.

-f  Marque la fin de la liste des répertoires et le début des noms de fichiers. L'usage de cette option est obligatoire quand l'une des options -B, -M, ou -S est utilisée.

EXEMPLE
Trouver tous les fichiers dans /usr/bin non documentés dans /usr/man/man1 et ayant leur source dans /usr/src :

    example% cd /usr/bin
    example% whereis -u -M /usr/man/man1 -S /usr/src -f *

FICHIERS
/{bin,sbin,etc}
/usr/{lib,bin,old,new,local,games,include,etc,src,man,sbin,X386,TeX,g++-include}
/usr/local/{X386,TeX,X11,include,lib,man,etc,bin,games,emacs}

BOGUES
Comme whereis utilise chdir(2) pour aller plus vite, les chemins donnés avec -M, -S, ou -B doivent être complets c'est-à-dire commencer par un « / ».
whereis a un chemin codé en dur, aussi il ne pourra peut-être pas toujours trouver ce que vous recherchez.

DISPONIBILITÉ
La commande whereis fait partie du paquetage util-linux-ng et est disponible à l'adresse ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng/.

VOIR AUSSI
chdir(2)

TRADUCTION
Ce document est une traduction réalisée par Michel Quercia <quercia AT cal DOT enst DOT fr> le 9 juin 1997 et révisée le 26 mai 2008.
L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 whereis ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.